Subject: Re: [PATCH 3/3] pkt_sched: restore multiqueue prio scheduler

From: Jarek Poplawski <[email-masked]>
Date: Sun, 24 Aug 2008 21:59:14 +0200

On Sun, Aug 24, 2008 at 09:27:34PM +0200, Jarek Poplawski wrote:
> On Sun, Aug 24, 2008 at 09:19:05PM +0200, Jarek Poplawski wrote:
> ...
> > Jamal, maybe I miss something, but this could be like this only with
> > default pfifo_fast qdiscs, which really are per dev hwqueue. Other
> > qdiscs, including prio, are per device, so with prio, if a band with
> > the highest priority is blocked it would be requeued blocking other
> > bands (hwqueues in Alexander's case).
> 
> And, actually, because of this, Alexander is right the prio_dequeue()
> can't work like this without any changes.

...And it looks like it's not only about prio with queue remapping.
Similar fixes are probably needed by default to any other qdiscs
implementing priorities, like htb etc!

Jarek P.